# inflate_add

(PHP 7)

inflate_add — Incrementally inflate encoded data

### Description

inflate_add ( resource `$context` , string `$encoded_data` [, int `$flush_mode` = ZLIB_SYNC_FLUSH ] ) : string

Incrementally inflates encoded data in the specified `context`.

Limitation: header information from GZIP compressed data are not made available.

### Parameters

`context`

  A context created with inflate_init().

`encoded_data`

  A chunk of compressed data.

`flush_mode`

  One of `ZLIB_BLOCK`, `ZLIB_NO_FLUSH`, `ZLIB_PARTIAL_FLUSH`, `ZLIB_SYNC_FLUSH` (default), `ZLIB_FULL_FLUSH`, `ZLIB_FINISH`. Normally you will want to set `ZLIB_NO_FLUSH` to maximize compression, and `ZLIB_FINISH` to terminate with the last chunk of data. See the » zlib manual for a detailed description of these constants.

### Return Values

Returns a chunk of uncompressed data, or `FALSE` on failure.

### Errors/Exceptions

If invalid parameters are given, inflating the data requires a preset dictionary, but none is specified, the compressed stream is corrupt or has an invalid checksum, an error of level `E_WARNING` is generated.

### See Also

- inflate_init() - Initialize an incremental inflate context